package com.saye.hospitalgd.mapper;

import com.saye.hospitalgd.entity.HisbillsHistory;
import org.mapstruct.Mapper;

import java.util.HashMap;
import java.util.List;


/**
 * Created with IntelliJ IDEA.
 *
 * @author： Mr.zs
 * @date： 2022/12/2
 * @description：
 * @modifiedBy：
 * @version: 1.0
 */
@Mapper
public interface HisbillsHistoryMapper {
    void saveHisHistoryData(HashMap<Object, Object> hisbillsOriginal);

    List<HashMap<Object, Object>> findHisBillsByDate(HashMap<Object, Object> searchMap);

    List<HashMap<Object, Object>> findHisDetailByParam(HashMap<Object, Object> searchNotUniqueObjMap);

    void deleteOriginalDataByDate(HashMap<Object, Object> delMap);

    void insertHisBillsOriginalList(List<HisbillsHistory> hisBillList);

    void deleteHistoryDataByDate(HashMap<Object, Object> delMap);

    void insertHisbillsHistoryList(List<HisbillsHistory> list);
}
